Bug 996854 - [host-deploy] block concurrent installation for same host
[host-deploy] block concurrent installation for same host
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.2.3
Assigned To: Alon Bar-Lev
Artyom
infra
: ZStream
Depends On: 995501
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 03:19 EDT by Idith Tal-Kohen
Modified: 2016-02-10 14:17 EST (History)
12 users (show)

See Also:
Fixed In Version: sf20
Doc Type: Bug Fix
Doc Text:
Concurrent installation on the same host is now blocked. This prevents users from accidentally sending multiple commands to upgrade a host, which can lead to a kernel panic.
Story Points: ---
Clone Of: 995501
Environment:
Last Closed: 2013-09-10 15:06:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 448923 None None None Never
oVirt gerrit 17892 None None None Never
oVirt gerrit 17928 None None None Never

  None (edit)
Comment 1 Alon Bar-Lev 2013-08-14 06:53:35 EDT
Note to QA:

This change effects all:
1. Node/Host installation.
2. Host re-installation.
3. Node approval.
4. Node upgrade.

The fix enforces no parallel operations can run on the same host.

However, please also check that this fix do not effect parallelism of different hosts.
Comment 4 Artyom 2013-08-25 03:18:50 EDT
Please also write in what version it was fixed, that will help to qa to verify bug.
Thanks
Comment 5 Alon Bar-Lev 2013-08-25 03:22:01 EDT
(In reply to Artyom from comment #4)
> Please also write in what version it was fixed, that will help to qa to
> verify bug.
> Thanks

Based on target release it is on 3.2.3.
Comment 6 Artyom 2013-08-25 04:38:28 EDT
Verified on sf20
double click on OK button under upgrade give error message 
"Cannot edit Host. Related operation is currently in progress. Please try again later." and upgrading finish gracefully. Upgrading on two hosts in same time working also good.
Also checked for re installation and approval.
Comment 8 errata-xmlrpc 2013-09-10 15:06:17 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1210.html

Note You need to log in before you can comment on or make changes to this bug.